Bug 46767 - beep: Multiple issues (4.2)
beep: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
All Linux
: P3 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-04 16:53 CEST by Philipp Hahn
Modified: 2018-05-08 14:57 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 0.0 () NVD


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-04-04 16:53:45 CEST
New Debian beep 1.3-3.A~4.2.3.201804040747 fixes:
This update addresses the following issue:
* beep, if setuid, has a race condition that allows local privilege
  escalation.

Johnathan Nightingale beep through 1.3.4, if setuid, has a race condition that allows local privilege escalation.
Comment 1 Philipp Hahn univentionstaff 2018-04-04 17:05:11 CEST
[4.2-3] 164ee61ed8 Bug #46767: beep_1.3-3.A~4.2.3.201804040747
Comment 2 Quality Assurance univentionstaff 2018-05-04 16:55:37 CEST
--- mirror/ftp/4.2/unmaintained/4.2-0/source/beep_1.3-3.A~4.2.0.201608231644.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/beep_1.3-3.A~4.2.3.201804040747.dsc
@@ -1,6 +1,10 @@
-1.3-3.A~4.2.0.201608231644 [Tue, 23 Aug 2016 18:55:38 +0200] Univention builddaemon <buildd@univention.de>:
+1.3-3.A~4.2.3.201804040747 [Wed, 04 Apr 2018 16:52:37 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. No patches were applied to the original source package
+
+1.3-3+deb8u1 [Sun, 25 Mar 2018 19:29:35 +0200] Moritz Muehlenhoff <jmm@debian.org>:
+
+  * CVE-2018-0492
 
 1.3-3 [Sun, 10 Jun 2012 11:51:43 +0200] Gerfried Fuchs <rhonda@debian.org>:
Comment 3 Arvid Requate univentionstaff 2018-05-07 12:19:05 CEST
* No UCS specific patches
* Comparison to previously shipped version ok
* Installation Ok
* Advisory Ok
Comment 4 Arvid Requate univentionstaff 2018-05-08 14:57:08 CEST
<http://errata.software-univention.de/ucs/4.2/368.html>